Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.math
Class Constants

    java.lang.Object
      baseCode.math.Constants

public abstract class Constants
extends java.lang.Object

Used in some ports of statistical code.

Copyright (c) 2004 Columbia University

Version:
  $Id: Constants.java,v 1.3 2005/01/05 17:59:19 pavlidis Exp $
Author:
  pavlidis

Field Summary
`static double` | `M_1_PI`
`static double` | `M_1_SQRT_2`
`static double` | `M_1_SQRT_2PI`
`static double` | `M_LN_2`
`static double` | `M_LN_SQRT_2PI`
`static double` | `M_LN_SQRT_PI`
`static double` | `M_LN_SQRT_PId2`
`static double` | `M_LOG10_2`
`static double` | `M_PI_2`
`static double` | `M_PI_4`
`static double` | `M_PI_half`
`static double` | `M_SQRT_2`
`static double` | `M_SQRT_2dPI`
`static double` | `M_SQRT_PI`
`static double` | `SMALL`
`static double` | `TINY`

Constructor Summary
`Constants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TINY

    public static final double TINY

See Also:
  Constant Field Values

### SMALL

    public static final double SMALL

See Also:
  Constant Field Values

### M_SQRT_2

    public static final double M_SQRT_2

See Also:
  Constant Field Values

### M_1_SQRT_2

    public static final double M_1_SQRT_2

See Also:
  Constant Field Values

### M_LN_2

    public static final double M_LN_2

See Also:
  Constant Field Values

### M_LOG10_2

    public static final double M_LOG10_2

See Also:
  Constant Field Values

### M_PI_half

    public static final double M_PI_half

See Also:
  Constant Field Values

### M_1_PI

    public static final double M_1_PI

See Also:
  Constant Field Values

### M_PI_2

    public static final double M_PI_2

See Also:
  Constant Field Values

### M_PI_4

    public static final double M_PI_4

See Also:
  Constant Field Values

### M_SQRT_PI

    public static final double M_SQRT_PI

See Also:
  Constant Field Values

### M_1_SQRT_2PI

    public static final double M_1_SQRT_2PI

See Also:
  Constant Field Values

### M_SQRT_2dPI

    public static final double M_SQRT_2dPI

See Also:
  Constant Field Values

### M_LN_SQRT_PI

    public static final double M_LN_SQRT_PI

See Also:
  Constant Field Values

### M_LN_SQRT_2PI

    public static final double M_LN_SQRT_2PI

See Also:
  Constant Field Values

### M_LN_SQRT_PId2

    public static final double M_LN_SQRT_PId2

See Also:
  Constant Field Values

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.